SA(8)

NAME
sa, accton - system accounting

SYNOPSIS
/usr/etc/sa [ -abcdDfijkKlmnrstu ] [ -v[n] ] [ -S savacctfile ] [ -U usracctfile ] [ filename ]

/usr/lib/acct/accton [ filename ]

DESCRIPTION
With an argument naming an existing filename, accton causes system accounting information for every process executed to be placed at the end of the file. If no argument is given, accounting is turned off.

sa reports on, cleans up, and generally maintains accounting files.

sa is able to condense the information in /var/adm/pacct into a summary file /var/adm/savacct which contains a count of the number of times each command was called and the time resources consumed. This condensation is desirable because on a large system /var/adm/pacct can grow by 500K bytes per day. The summary file is normally read before the accounting file, so the reports include all available information.

If a file name is given as the last argument, that file will be treated as the accounting file; /var/adm/pacct is the default.

Output fields are labeled: cpu for the sum of user+system time (in minutes), re for real time (also in minutes), k for CPU-time averaged core usage (in 1k units), avio for average number of I/O operations per execution. With options fields labeled tio for total I/O operations, k*sec for CPU storage integral (kilo-core seconds), u and s for user and system CPU time alone (both in minutes) will sometimes appear.

sa also breaks out accounting statistics by user. This information is kept in the file /var/adm/usracct.

OPTIONS

-a  Print all command names, even those containing unprintable characters and those used only once. By default, those are placed under the name `***other.'

-b  Sort output by sum of user and system time divided by number of calls. Default sort is by sum of user and system times.

-c  Besides total user, system, and real time for each command print percentage of total time over all commands.

-d  Sort by average number of disk I/O operations.

-D  Print and sort by total number of disk I/O operations.

-f  Force no interactive threshold compression with -v flag.

-i  Do not read in summary file.

-j  Instead of total minutes time for each category, give seconds per call.

-k  Sort by CPU-time average memory usage.

-K  Print and sort by CPU-storage integral.

-l  Separate system and user time; normally they are combined.

-m  Print number of processes and number of CPU minutes for each user.

-n  Sort by number of calls.

-r  Reverse order of sort.

-s  Merge accounting file into summary file /var/adm/savacct when done.

-t  For each command report ratio of real time to the sum of user and system times.

-u  Superseding all other flags, print for each record in the accounting file the user ID and command name.

-v  Followed by a number n, types the name of each command used n times or fewer. If n is not specified, it defaults to 1. Await a reply from the terminal; if it begins with y, add the command to the category `**junk**.' This is used to strip out garbage.

-S  The following filename is used as the command summary file instead of /var/adm/savacct.

-U  The following filename is used instead of /var/adm/usracct to accumulate the per-user statistics printed by the -m option.

FILES
/var/adm/pacct
    raw accounting
/var/adm/savacct
    summary by command
/var/adm/usracct
    summary by user ID

SEE ALSO
acct(2V), acct(5), ac(8)

BUGS

sa's execution time increases linearly with the magnitude of the largest positive user ID in /etc/passwd.